# Uses of Class
org.eclipse.mat.collect.ArrayLong

Packages that use ArrayLong
Package
Description
org.eclipse.mat.collect
Collections optimized for keys and values of ints and longs.
org.eclipse.mat.hprof
Parser for HPROF dumps, just a parser extension, not an Application Programming Interface (API).
org.eclipse.mat.parser.index
Implementations for handling indexes.
org.eclipse.mat.parser.internal.oql.compiler
Object Query Language (OQL) compiler (not API).
org.eclipse.mat.parser.model
The implementation of key snapshot objects such as representing classes, arrays, and objects in the snapshot.

## Uses of ArrayLong in org.eclipse.mat.collect

Methods in org.eclipse.mat.collect with parameters of type ArrayLong
Modifier and Type
Method
Description
`void`
ArrayLong.`addAll(ArrayLong template)`
Append all of another ArrayLong to the end of this one.
Constructors in org.eclipse.mat.collect with parameters of type ArrayLong
Modifier
Constructor
Description
``
`ArrayLong(ArrayLong template)`
Create a list based on an existing ArrayInt, of size of the template

## Uses of ArrayLong in org.eclipse.mat.hprof

Fields in org.eclipse.mat.hprof declared as ArrayLong
Modifier and Type
Field
Description
`ArrayLong`
IHprofParserHandler.HeapObject.`references`

## Uses of ArrayLong in org.eclipse.mat.parser.index

Methods in org.eclipse.mat.parser.index with parameters of type ArrayLong
Modifier and Type
Method
Description
`void`
IndexWriter.LongIndexStreamer.`addAll(ArrayLong array)`
`void`
IndexWriter.IntArray1NWriter.`log(IIndexReader.IOne2LongIndex identifier, int index, ArrayLong references)`
Used to record the addresses as IDs.
`void`
IndexWriter.IntArray1NWriter.`log(IndexWriter.Identifier identifier, int index, ArrayLong references)`
Used to record the addresses as IDs.
`IIndexReader.IOne2LongIndex`
IndexWriter.LongIndexStreamer.`writeTo(File indexFile, ArrayLong array)`
Output a whole ArrayLong

## Uses of ArrayLong in org.eclipse.mat.parser.internal.oql.compiler

Methods in org.eclipse.mat.parser.internal.oql.compiler that return ArrayLong
Modifier and Type
Method
Description
`ArrayLong`
Query.FromClause.`getObjectAddresses()`

## Uses of ArrayLong in org.eclipse.mat.parser.model

Methods in org.eclipse.mat.parser.model that return ArrayLong
Modifier and Type
Method
Description
`abstract ArrayLong`
AbstractObjectImpl.`getReferences()`
Gets the outbound references from this object, as addresses.
`ArrayLong`
ClassImpl.`getReferences()`
`ArrayLong`
InstanceImpl.`getReferences()`
`ArrayLong`
ObjectArrayImpl.`getReferences()`
`ArrayLong`
PrimitiveArrayImpl.`getReferences()`